
package com.kingdee.eas.custom.hireapproval.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.util.BOSUuid;

import com.kingdee.bos.waf.winlet.edit.BillEntryBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.hireapproval.OAHireSalaryDataEntryInfo;

public abstract class AbstractOAHireSalaryDataEntryBean extends BillEntryBean {
	@Override
	public CoreBaseInfo createNewEntry() {
		OAHireSalaryDataEntryInfo info = new OAHireSalaryDataEntryInfo();
		info.setId(BOSUuid.create(info.getBOSType()));
		return info;
	}
}

